Package com.emc.d2fs.models.menu

# Class Menu

java.lang.Object
com.emc.d2fs.models.menu.Menu

All Implemented Interfaces:
  `Serializable`

public class Menu extends Object implements Serializable

Java class for menu complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="menu">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{http://www.emc.com/d2fs/models/menu}menus" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute ref="{http://www.emc.com/d2fs/models/common}id use="required""/>
           <attribute name="name" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="tooltip" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="action" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="type" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="src" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="shortcut" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="disabled" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="hidden" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="default" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="icon" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="displayStyle" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="promoted" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="rootMenuType" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Menu()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAction()`
  Gets the value of the action property.
  `String`
  `getDisplayStyle()`
  Gets the value of the displayStyle property.
  `String`
  `getIcon()`
  Gets the value of the icon property.
  `String`
  `getId()`
  Gets the value of the id property.
  `List<Menu>`
  `getMenus()`
  Gets the value of the menus property.
  `String`
  `getName()`
  Gets the value of the name property.
  `String`
  `getRootMenuType()`
  Gets the value of the rootMenuType property.
  `String`
  `getShortcut()`
  Gets the value of the shortcut property.
  `String`
  `getSrc()`
  Gets the value of the src property.
  `String`
  `getTooltip()`
  Gets the value of the tooltip property.
  `String`
  `getType()`
  Gets the value of the type property.
  `Boolean`
  `isDefault()`
  Gets the value of the default property.
  `Boolean`
  `isDisabled()`
  Gets the value of the disabled property.
  `Boolean`
  `isHidden()`
  Gets the value of the hidden property.
  `Boolean`
  `isPromoted()`
  Gets the value of the promoted property.
  `void`
  `setAction(String value)`
  Sets the value of the action property.
  `void`
  `setDefault(Boolean value)`
  Sets the value of the default property.
  `void`
  `setDisabled(Boolean value)`
  Sets the value of the disabled property.
  `void`
  `setDisplayStyle(String value)`
  Sets the value of the displayStyle property.
  `void`
  `setHidden(Boolean value)`
  Sets the value of the hidden property.
  `void`
  `setIcon(String value)`
  Sets the value of the icon property.
  `void`
  `setId(String value)`
  Sets the value of the id property.
  `void`
  `setName(String value)`
  Sets the value of the name property.
  `void`
  `setPromoted(Boolean value)`
  Sets the value of the promoted property.
  `void`
  `setRootMenuType(String value)`
  Sets the value of the rootMenuType property.
  `void`
  `setShortcut(String value)`
  Sets the value of the shortcut property.
  `void`
  `setSrc(String value)`
  Sets the value of the src property.
  `void`
  `setTooltip(String value)`
  Sets the value of the tooltip property.
  `void`
  `setType(String value)`
  Sets the value of the type property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Menu

    public Menu()

- ## Method Details

  - ### getMenus

    public List<Menu> getMenus()
    Gets the value of the menus property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the menus property.

    For example, to add a new item, do as follows:

            getMenus().add(newItem);

    Objects of the following type(s) are allowed in the list `Menu`

  - ### getId

    public String getId()
    Gets the value of the id property.
    Returns:
      possible object is `String`

  - ### setId

    public void setId(String value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `String`

  - ### getName

    public String getName()
    Gets the value of the name property.
    Returns:
      possible object is `String`

  - ### setName

    public void setName(String value)
    Sets the value of the name property.
    Parameters:
      `value` - allowed object is `String`

  - ### getTooltip

    public String getTooltip()
    Gets the value of the tooltip property.
    Returns:
      possible object is `String`

  - ### setTooltip

    public void setTooltip(String value)
    Sets the value of the tooltip property.
    Parameters:
      `value` - allowed object is `String`

  - ### getAction

    public String getAction()
    Gets the value of the action property.
    Returns:
      possible object is `String`

  - ### setAction

    public void setAction(String value)
    Sets the value of the action property.
    Parameters:
      `value` - allowed object is `String`

  - ### getType

    public String getType()
    Gets the value of the type property.
    Returns:
      possible object is `String`

  - ### setType

    public void setType(String value)
    Sets the value of the type property.
    Parameters:
      `value` - allowed object is `String`

  - ### getSrc

    public String getSrc()
    Gets the value of the src property.
    Returns:
      possible object is `String`

  - ### setSrc

    public void setSrc(String value)
    Sets the value of the src property.
    Parameters:
      `value` - allowed object is `String`

  - ### getShortcut

    public String getShortcut()
    Gets the value of the shortcut property.
    Returns:
      possible object is `String`

  - ### setShortcut

    public void setShortcut(String value)
    Sets the value of the shortcut property.
    Parameters:
      `value` - allowed object is `String`

  - ### isDisabled

    public Boolean isDisabled()
    Gets the value of the disabled property.
    Returns:
      possible object is `Boolean`

  - ### setDisabled

    public void setDisabled(Boolean value)
    Sets the value of the disabled property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isHidden

    public Boolean isHidden()
    Gets the value of the hidden property.
    Returns:
      possible object is `Boolean`

  - ### setHidden

    public void setHidden(Boolean value)
    Sets the value of the hidden property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isDefault

    public Boolean isDefault()
    Gets the value of the default property.
    Returns:
      possible object is `Boolean`

  - ### setDefault

    public void setDefault(Boolean value)
    Sets the value of the default property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### getIcon

    public String getIcon()
    Gets the value of the icon property.
    Returns:
      possible object is `String`

  - ### setIcon

    public void setIcon(String value)
    Sets the value of the icon property.
    Parameters:
      `value` - allowed object is `String`

  - ### getDisplayStyle

    public String getDisplayStyle()
    Gets the value of the displayStyle property.
    Returns:
      possible object is `String`

  - ### setDisplayStyle

    public void setDisplayStyle(String value)
    Sets the value of the displayStyle property.
    Parameters:
      `value` - allowed object is `String`

  - ### isPromoted

    public Boolean isPromoted()
    Gets the value of the promoted property.
    Returns:
      possible object is `Boolean`

  - ### setPromoted

    public void setPromoted(Boolean value)
    Sets the value of the promoted property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### getRootMenuType

    public String getRootMenuType()
    Gets the value of the rootMenuType property.
    Returns:
      possible object is `String`

  - ### setRootMenuType

    public void setRootMenuType(String value)
    Sets the value of the rootMenuType property.
    Parameters:
      `value` - allowed object is `String`